Botan 1.10.17

Public Member Functions | List of all members
Botan::EMSA4 Class Reference

`#include <emsa4.h>`

Inheritance diagram for Botan::EMSA4:

## Public Member Functions
| EMSA4 (HashFunction *hash)
| EMSA4 (HashFunction *hash, size_t salt_size)
| ~EMSA4 ()

## Detailed Description

EMSA4 aka PSS-R

Definition at line 20 of file emsa4.h.

## Constructor & Destructor Documentation

## ◆ EMSA4() [1/2]

Botan::EMSA4::EMSA4 | ( | HashFunction * | hash | ) |

Parameters

  hash | the hash object to use

Definition at line 130 of file emsa4.cpp.

References Botan::HashFunction::clone().

130 :
131 SALT_SIZE(h->output_length()), hash(h)
132 {
133 mgf = new MGF1(hash->clone());
134 }
Botan::HashFunction::clone
virtual HashFunction * clone() const =0

## ◆ EMSA4() [2/2]

Botan::EMSA4::EMSA4 | ( | HashFunction * | hash,
|  | size_t | salt_size
| ) |  |

Parameters

  hash | the hash object to use
  salt_size | the size of the salt to use in bytes

Definition at line 139 of file emsa4.cpp.

References Botan::HashFunction::clone().

139 :
140 SALT_SIZE(salt_size), hash(h)
141 {
142 mgf = new MGF1(hash->clone());
143 }
Botan::HashFunction::clone
virtual HashFunction * clone() const =0

## ◆ ~EMSA4()

Botan::EMSA4::~EMSA4 | ( |  | ) |
| inline

Definition at line 34 of file emsa4.h.

34 { delete hash; delete mgf; }

The documentation for this class was generated from the following files:

- src/pk_pad/emsa4/emsa4.h
- src/pk_pad/emsa4/emsa4.cpp